| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - c -

- cache_flush : USBD_API_INIT_PARAM_T
- CacheProgSupport : K9F1G_ID_T
- CALIBRATION : IP_RTC_001_T
- callback_func_pt : UART_PARAM_T
- CallbackPtr : OS_TMR
- CallbackPtrArg : OS_TMR
- CAN_error : CCAN_CALLBACKS_T
- can_receive : CCAN_API_T
- CAN_rx : CCAN_CALLBACKS_T
- can_transmit : CCAN_API_T
- CAN_tx : CCAN_CALLBACKS_T
- canopen_handler : CCAN_API_T
- CANOPEN_sdo_read : CCAN_CALLBACKS_T
- CANOPEN_sdo_req : CCAN_CALLBACKS_T
- CANOPEN_sdo_seg_read : CCAN_CALLBACKS_T
- CANOPEN_sdo_seg_write : CCAN_CALLBACKS_T
- CANOPEN_sdo_write : CCAN_CALLBACKS_T
- CANSLEEPCLR : LPC_SYSCTL_T
- CANWAKEFLAGS : LPC_SYSCTL_T
- CAP : IP_MCPWM_001_T , IP_QEI_001_T , IP_SCT_001_T
- CAP0_IN : IP_GIMA_001_T
- CAP_CLR : IP_MCPWM_001_T
- CAP_H : IP_SCT_001_T
- CAP_L : IP_SCT_001_T
- capability : image_sig
- CAPCON : IP_MCPWM_001_T
- CAPCON_CLR : IP_MCPWM_001_T
- CAPCON_SET : IP_MCPWM_001_T
- CAPCTRL : IP_SCT_001_T
- CAPCTRL_H : IP_SCT_001_T
- CAPCTRL_L : IP_SCT_001_T
- CAPLENGTH : IP_USBHS_001_T
- card_info : mci_card_struct
- card_type : SDMMC_CARD_T
- cclk : FLASH_COPY_RAM_TO_FLASH_COMMAND_T , FLASH_ERASE_SECTORS_COMMAND_T
- CCLKSEL : LPC_SYSCTL_T
- CCP : IP_MCPWM_001_T
- CCR : IP_RTC_001_T , IP_SPI_001_T , IP_TIMER_001_T
- cdc : USBD_API_T
- CDC_BulkIN_Hdlr : USBD_CDC_INIT_PARAM_T
- CDC_BulkOUT_Hdlr : USBD_CDC_INIT_PARAM_T
- CDC_CCI_Interface : USB_Descriptor_Configuration_t
- CDC_DataInEndpoint : USB_Descriptor_Configuration_t
- CDC_DataOutEndpoint : USB_Descriptor_Configuration_t
- CDC_DCI_Interface : USB_Descriptor_Configuration_t
- CDC_Ep0_Hdlr : USBD_CDC_INIT_PARAM_T
- CDC_Functional_ACM : USB_Descriptor_Configuration_t
- CDC_Functional_Header : USB_Descriptor_Configuration_t
- CDC_Functional_Union : USB_Descriptor_Configuration_t
- CDC_InterruptEP_Hdlr : USBD_CDC_INIT_PARAM_T
- CDC_NotificationEndpoint : USB_Descriptor_Configuration_t
- CDC_Termination : USB_Descriptor_Configuration_t
- CDETECT : IP_SDMMC_001_T
- CellType : K9F1G_ID_T
- CFG : CCU_CFGSTAT_T , IP_SPI_002_T , IP_USART_002_T
- CH : IP_GPDMA_001_T
- CHANNEL : LPC_MRT_T
- ChannelNum : GPDMA_Channel_CFG_T
- ChannelNumber : Chip_I2S_Audio_Format_T
- ChannelStatus : DMA_ChannelHandle_t
- CHIPID : LPC_CREG_T
- ChipSelect : IP_EMC_STATIC_CONFIG_T
- CIC_GetRequest : USBD_CDC_INIT_PARAM_T
- CIC_SetRequest : USBD_CDC_INIT_PARAM_T
- cid : SDMMC_CARD_T
- CIENF : LPC_PIN_INT_T , IP_GPIOPININT_001_T
- CIENR : LPC_PIN_INT_T , IP_GPIOPININT_001_T
- cif_intf_desc : USBD_CDC_INIT_PARAM_T
- CIIR : IP_RTC_001_T
- CLEAR : IP_SDC_001_T
- clk : CLK_BASE_STATES , i2c_interface
- clk_in : CLKIN_NAME_T
- clk_rate : SDMMC_CARD_T
- clkbase : CLK_PERIPH_TO_BASE_T
- CLKCCU : LPC_CCU1_T , LPC_CCU2_T
- CLKDIV : IP_CCAN_001_T , IP_EEPROM_001_T , IP_EEPROM_002_T , IP_SDMMC_001_T
- ClkDiv : IP_SPI_CONFIG_T
- CLKENA : IP_SDMMC_001_T
- clkend : CLK_PERIPH_TO_BASE_T
- clkin : CLK_BASE_STATES
- clkin_name : CLKIN_NAME_T
- CLKOUTCFG : LPC_SYSCTL_T
- CLKOUTDIV : LPC_SYSCTL_T
- CLKOUTSEL : LPC_SYSCTL_T
- CLKOUTUEN : LPC_SYSCTL_T
- CLKSRC : IP_SDMMC_001_T
- CLKSRCSEL : LPC_SYSCTL_T
- clkstart : CLK_PERIPH_TO_BASE_T
- clock : BASECLK_INFO_T
- CLOCK : IP_SDC_001_T
- clock_name : BASECLK_INFO_T , CCUCLK_INFO_T
- ClockMode : IP_SPI_CONFIG_T
- clockMode : SSP_ConfigFormat , CHIP_SPI_CONFIG_FORMAT_T
- CLR : IP_GPIO_001_T , IP_GPIO_002_T , IP_QEI_001_T , IP_SCT_001_T
- Clr0 : IP_GPIOINT_001_T
- Clr2 : IP_GPIOINT_001_T
- CLR_EN : LPC_EVRT_T , IP_ATIMER_001_T
- CLR_EN_0 : IP_SGPIO_001_T
- CLR_EN_1 : IP_SGPIO_001_T
- CLR_EN_2 : IP_SGPIO_001_T
- CLR_EN_3 : IP_SGPIO_001_T
- CLR_STAT : LPC_EVRT_T , IP_ATIMER_001_T
- ClrCommFeature : USBD_CDC_INIT_PARAM_T
- ClrStallEP : USBD_HW_API_T
- CLRT : IP_ENET_002_MAC_T
- clust : FIL , DIR
- CMD : IP_EEPROM_001_T , IP_EEPROM_002_T , IP_SDMMC_001_T
- cmd : FLASH_COMMAND_T , FLASH_PREPARE_SECTORS_COMMAND_T , FLASH_COPY_RAM_TO_FLASH_COMMAND_T , FLASH_ERASE_SECTORS_COMMAND_T , FLASH_BLANK_CHECK_SECTORS_COMMAND_T , FLASH_READ_PART_ID_COMMAND_T , FLASH_READ_BOOTCODE_VER_COMMAND_T , FLASH_COMPARE_MEM_COMMAND_T , FLASH_REINVOKE_ISP_COMMAND_T , FLASH_READ_UID_COMMAND_T
- CMDARG : IP_SDMMC_001_T
- CmdCode : IP_USB_001_T
- CmdData : IP_USB_001_T
- CmdIndex : IP_SDC_001_RESP_T
- cmdResponse : DFU_TOHOST_PACKETHDR_T
- CMP_CTRL : IP_CMP_001_T
- CMP_CTRLx : IP_CMP_001_T
- CMPOS0 : IP_QEI_001_T
- CMPOS1 : IP_QEI_001_T
- CMPOS2 : IP_QEI_001_T
- CMR : IP_CAN_001_T
- cnt : CHIP_SPI_DATA_SETUP_T
- CNTCON : IP_MCPWM_001_T
- CNTCON_CLR : IP_MCPWM_001_T
- CNTCON_SET : IP_MCPWM_001_T
- CNTL : IP_CCAN_001_T
- CNTVAL : IP_DAC_001_T
- Code : PIMA_Container_t
- CollectionPath : HID_ReportItem_t
- CollectionPaths : HID_ReportInfo_t
- color_format : LCD_Config_T
- COMMAND : IP_ENET_002_CONTROL_T , IP_SDC_001_T
- CommandBlock : USB_ClassInfo_MS_Device_t
- CommandStatus : IP_USB_001_T , USB_ClassInfo_MS_Device_t
- COMPVAL : IP_RITIMER_001_T
- CON : IP_QEI_001_T , IP_MCPWM_001_T
- CON_CLR : IP_MCPWM_001_T
- CON_SET : IP_MCPWM_001_T
- CONCLR : IP_I2C_001_T
- ConditionCode : st_HCD_IsoTransferDescriptor , st_HC_GTD
- CONEN : IP_SCT_001_T
- CONF : IP_QEI_001_T
- CONFIG : IP_EMC_001_T , IP_GPDMA_001_CH_T , IP_GPDMA_001_T , IP_SCT_001_T
- Config : USB_ClassInfo_Audio_Device_t , USB_ClassInfo_CDC_Device_t , USB_ClassInfo_HID_Device_t , USB_ClassInfo_MIDI_Device_t , USB_ClassInfo_RNDIS_Device_t , USB_ClassInfo_Audio_Host_t , USB_ClassInfo_HID_Host_t , USB_ClassInfo_MS_Host_t , USB_ClassInfo_MIDI_Host_t , USB_ClassInfo_PRNT_Host_t , USB_ClassInfo_RNDIS_Host_t , USB_ClassInfo_SI_Host_t , USB_Descriptor_Configuration_t
- config : UART_CONFIG_T
- Config : USB_ClassInfo_CDC_Host_t , USB_ClassInfo_MS_Device_t , IP_EMC_STATIC_CONFIG_T
- config_calb : CCAN_API_T
- config_canopen : CCAN_API_T
- config_rxmsgobj : CCAN_API_T
- ConfigEP : USBD_HW_API_T
- Configure : USBD_HW_API_T
- CONFLAG : IP_SCT_001_T
- Connect : USBD_HW_API_T
- CONSET : IP_I2C_001_T
- CONSUMEINDEX : IP_ENET_002_TRANSFER_INFO_T
- Control : IP_ENET_002_TXDESC_T , IP_ENET_002_RXDESC_T
- CONTROL : IP_EMC_001_T , IP_ENET_002_RXFILTER_T , IP_GPDMA_001_CH_T , IP_ENET_002_T
- Control : IP_USB_001_T
- ControlCurrentED : IP_USB_001_T
- ControlEndpointFlag : st_EHCD_QHD
- ControlHeadED : IP_USB_001_T
- ControlInterfaceNumber : USB_ClassInfo_Audio_Device_t , USB_ClassInfo_CDC_Host_t , USB_ClassInfo_Audio_Host_t , USB_ClassInfo_RNDIS_Device_t , USB_ClassInfo_CDC_Device_t , USB_ClassInfo_RNDIS_Host_t
- ControlLineStates : USB_ClassInfo_CDC_Host_t , USB_ClassInfo_CDC_Device_t
- core : USBD_API_T
- count : ipc_queue
- COUNT : IP_WKT_001_T
- count : RINGBUFF_T
- COUNT : IP_SGPIO_001_T
- COUNT_H : IP_SCT_001_T
- COUNT_L : IP_SCT_001_T
- COUNT_U : IP_SCT_001_T
- COUNTER : IP_RITIMER_001_T
- CPSR : IP_SSP_001_T
- CR : IP_DAC_001_T , IP_ADC_001_T , IP_TIMER_001_T , IP_SPI_001_T
- CR0 : IP_SSP_001_T
- CR1 : IP_SSP_001_T
- CREG0 : LPC_CREG_T
- CREG1 : LPC_CREG_T
- CREG2 : LPC_CREG_T
- CREG3 : LPC_CREG_T
- CREG4 : LPC_CREG_T
- CREG5 : LPC_CREG_T
- CREG6 : LPC_CREG_T
- CRSR_CFG : IP_LCD_001_T
- CRSR_CLIP : IP_LCD_001_T
- CRSR_CTRL : IP_LCD_001_T
- CRSR_IMG : IP_LCD_001_T
- CRSR_INTCLR : IP_LCD_001_T
- CRSR_INTMSK : IP_LCD_001_T
- CRSR_INTRAW : IP_LCD_001_T
- CRSR_INTSTAT : IP_LCD_001_T
- CRSR_PAL0 : IP_LCD_001_T
- CRSR_PAL1 : IP_LCD_001_T
- CRSR_XY : IP_LCD_001_T
- csd : SDMMC_CARD_T
- csize : FATFS
- CTCR : IP_TIMER_001_T
- CTIME : IP_RTC_001_T
- CTIN_IN : IP_GIMA_001_T
- Ctr : OS_SEM
- CTR_STATUS_0 : IP_SGPIO_001_T
- CTR_STATUS_1 : IP_SGPIO_001_T
- CTR_STATUS_2 : IP_SGPIO_001_T
- CTR_STATUS_3 : IP_SGPIO_001_T
- Ctrl : IP_USB_001_T
- CTRL : IP_SCT_001_T , ACMP_001_T , IP_WKT_001_T
- ctrl : CGU_USBAUDIO_PLL_SETUP_T
- CTRL : IP_SDMMC_001_T , IP_GPIOGROUPINT_001_T , IP_USART_002_T , IP_RITIMER_001_T
- ctrl : DMA_TransferDescriptor_t
- CTRL : IP_MRT_001_T , IP_ENET_001_RXDESC_T , IP_LCD_001_T , IP_ENET_001_ENHRXDESC_T , IP_DAC_001_T
- CTRL_DISABLED : IP_SGPIO_001_T
- CTRL_ENABLED : IP_SGPIO_001_T
- CTRL_H : IP_SCT_001_T
- CTRL_L : IP_SCT_001_T
- CTRL_U : IP_SCT_001_T
- CtrlNo : IP_CAN_STD_ID_Entry_T , IP_CAN_EXT_ID_Entry_T
- CTRLSTAT : IP_ENET_001_TXDESC_T , IP_ENET_001_ENHTXDESC_T
- CTYPE : IP_SDMMC_001_T
- CurrentBufferPointer : st_HC_GTD
- CurrentPage : PHCD_QTD
- CurrentQtd : st_EHCD_QHD
- CurrPacketFilter : USB_ClassInfo_RNDIS_Device_t
- CurrRNDISState : USB_ClassInfo_RNDIS_Device_t